Kwetsbaarheid CVE-2011-3443

Use-after-free Vulnerability In WebKit, As Used In Apple Safari Before 5.0.6, Allows Remote Attackers To Execute Arbitrary Code Or Cause A Denial Of Service (heap Memory Corruption And Application Crash) Via Vectors Related To Improper List Management For Cascading Style Sheets (CSS) @font-face Rules.

Algemeen

CVE
CVE-2011-3443
Leverancier(s) betrokken
- Apple
Omschrijving
Use-after-free Vulnerability In WebKit, As Used In Apple Safari Before 5.0.6, Allows Remote Attackers To Execute Arbitrary Code Or Cause A Denial Of Service (heap Memory Corruption And Application Crash) Via Vectors Related To Improper List Management For Cascading Style Sheets (CSS) @font-face Rules.
Publicatie
Donderdag, 1 Maart 2012
Gewijzigd
Vrijdag, 2 Maart 2012
Ernst
High

Score

Score
7.5
    - Basis
7.5
    - Impact
6.4
    - Misbruik
10.0

Risicoprofiel

CVSS V2 Vector
(AV:N/AC:L/Au:N/C:P/I:P/A:P)

Toegankelijkheid
Netwerk Een kwaadwillende derde kan dit beveiligingslek misbruiken zonder lokale systeem- of netwerktoegang te hebben.
Complexiteit
Laag Een kwaadwillende derde kan zonder veel moeite of geplande kennis dit beveiligingslek misbruiken.
Authenticatie
Geen Een kwaadwillende derde hoeft zich niet te authenticeren om in het systeem te komen om misbruik te maken van dit beveiligingslek.
Configuratie
Gedeeltelijk Een kwaadwillende derde kan bij misbruik van dit beveiligingslek toegang krijgen tot bepaalde systeembestanden, maar kan niet controleren welke informatie precies wordt verkregen.
Integriteit
Gedeeltelijk Een kwaadwillende derde is bij misbruik van dit beveiligingslek in staat databestanden toegankelijk via het systeem of lokale systeeminformatie aan te passen, maar kan niet controleren welke bestanden kunnen worden aangepast of in welke mate. De integriteit van het systeem is gedeeltelijk aangetast.
Beschikbaarheid
Gedeeltelijk Als een kwaadwillende derde dit beveiligingslek succesvol weet te misbruiken, wordt de beschikbaarheid van het systeem gedeeltelijk beperkt. Het systeem presteert zwakker of is nog maar beperkt te bereiken.

Getroffen programmatuur

Leverancier Software Versie
apple safari 5.0.5
apple safari 5.0.4
apple safari 5.0.3
apple safari 5.0.2
apple safari 5.0.1
apple safari 4.1
apple safari 4.1.2
apple safari 4.1.1
apple safari 4.0 beta
apple safari 4.0.5
apple safari 4.0.4
apple safari 4.0.3
apple safari 4.0.2
apple safari 4.0.1
apple safari 4.0.0b
apple safari 3.2.2b -:windows
apple safari 3.2.2
apple safari 3.2.1b -:windows
apple safari 3.2.1
apple safari 3.2.0b -:windows
apple safari 3.2.0
apple safari 3.1.2b -:windows
apple safari 3.1.2
apple safari 3.1.1b -:windows
apple safari 3.1.1
apple safari 3.1.0b -:windows
apple safari 3.1.0 -:mac
apple safari 3.0
apple safari 3.0.4b -:windows
apple safari 3.0.4 -:mac
apple safari 3.0.3b -:windows
apple safari 3.0.3 -:mac
apple safari 3.0.2b -:windows
apple safari 3.0.2 -:mac
apple safari 3.0.1b -:windows
apple safari 3.0.1 beta
apple safari 3.0.1 -:mac
apple safari 3.0.0b -:windows
apple safari 3.0.0 -:mac
apple safari 2.0
apple safari 2.0.4 -:mac
apple safari 2.0.3 417.9.3
apple safari 2.0.3 417.9.2
apple safari 2.0.3 417.9
apple safari 2.0.3 417.8
apple safari 2.0.2
apple safari 2.0.1
apple safari 2.0.0
apple safari 1.3
apple safari 1.3.2 312.6
apple safari 1.3.2 312.5
apple safari 1.3.1
apple safari 1.3.0
apple safari 1.2
apple safari 1.2.5
apple safari 1.2.4
apple safari 1.2.3
apple safari 1.2.2
apple safari 1.2.1
apple safari 1.2.0
apple safari 1.1
apple safari 1.1.1
apple safari 1.1.0
apple safari 1.0b1 -:mac
apple safari 1.0 beta2
apple safari 1.0 beta
apple safari 1.0.3 85.8.1
apple safari 1.0.3 85.8
apple safari 1.0.2
apple safari 1.0.1
apple safari 1.0.0b2
apple safari 1.0.0b1
apple safari 1.0.0

Referenties

Geef hieronder je email adres op en word op de hoogte gehouden van aanpassingen aan deze CVE